Treasury
Cancel pending approval
Releasing soon
This endpoint is being released and is not yet available.
DELETE
Requires scope wallets:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
challenge*stringtreasury?booleanx-customer-id?stringResponse Body
204
Collection cancelled
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X DELETE 'https://api.pilot.shiga.io/v1/transactions/approvals/string' \ -H 'x-customer-id: <customer id>' \ -H 'Authorization: Bearer sk_test_...'Example Response
Empty